Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ViewMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ViewMessages

Enclosing class:
  TdApi

public static final class TdApi.ViewMessages extends TdApi.Function<TdApi.Ok>
Informs TDLib that messages are being viewed by the user. Sponsored messages must be marked as viewed only when the entire text of the message is shown on the screen (excluding the button). Many useful activities depend on whether the messages are currently being viewed or not (e.g., marking messages as read, incrementing a view counter, updating a view counter, removing deleted messages in supergroups and channels).

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`forceRead`
Pass true to mark as read the specified messages even the chat is closed.
`long[]`
`messageIds`
The identifiers of the messages being viewed.
`TdApi.MessageSource`
`source`
Source of the message view; pass null to guess the source based on chat open state.

## Constructor Summary

Constructors
Constructor
Description
`ViewMessages()`
Informs TDLib that messages are being viewed by the user.
`ViewMessages(long chatId, long[] messageIds, TdApi.MessageSource source, boolean forceRead)`
Informs TDLib that messages are being viewed by the user.
`ViewMessages(DataInput input)`
Informs TDLib that messages are being viewed by the user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageIds

public long[] messageIds
The identifiers of the messages being viewed.

### source

public TdApi.MessageSource source
Source of the message view; pass null to guess the source based on chat open state.

### forceRead

public boolean forceRead
Pass true to mark as read the specified messages even the chat is closed.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ViewMessages

public ViewMessages()
Informs TDLib that messages are being viewed by the user. Sponsored messages must be marked as viewed only when the entire text of the message is shown on the screen (excluding the button). Many useful activities depend on whether the messages are currently being viewed or not (e.g., marking messages as read, incrementing a view counter, updating a view counter, removing deleted messages in supergroups and channels).

Returns `Ok`

### ViewMessages

public ViewMessages(long chatId, long[] messageIds, TdApi.MessageSource source, boolean forceRead)
Informs TDLib that messages are being viewed by the user. Sponsored messages must be marked as viewed only when the entire text of the message is shown on the screen (excluding the button). Many useful activities depend on whether the messages are currently being viewed or not (e.g., marking messages as read, incrementing a view counter, updating a view counter, removing deleted messages in supergroups and channels).

Returns `Ok`

Parameters:
  `chatId` - Chat identifier.
  `messageIds` - The identifiers of the messages being viewed.
  `source` - Source of the message view; pass null to guess the source based on chat open state.
  `forceRead` - Pass true to mark as read the specified messages even the chat is closed.

  Returns `Ok`

### ViewMessages

public ViewMessages(DataInput input) throws IOException
Informs TDLib that messages are being viewed by the user. Sponsored messages must be marked as viewed only when the entire text of the message is shown on the screen (excluding the button). Many useful activities depend on whether the messages are currently being viewed or not (e.g., marking messages as read, incrementing a view counter, updating a view counter, removing deleted messages in supergroups and channels).

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`